Change log for erlang package in Ubuntu

175 of 107 results
Published in eoan-release on 2019-07-15
Deleted in eoan-proposed (Reason: moved to release)
erlang (1:22.0.7+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Override lintian error on EPMD systemd service file without init.d script
    since it isn't required for EPMD to run.
  * Force using system-wide zlib.

 -- Sergei Golovan <email address hidden>  Mon, 15 Jul 2019 13:57:16 +0300
Superseded in eoan-release on 2019-07-15
Deleted in eoan-proposed on 2019-07-17 (Reason: moved to release)
erlang (1:22.0.5+dfsg-2) unstable; urgency=medium

  * Reupload as a source package to promote to testing.

 -- Sergei Golovan <email address hidden>  Mon, 08 Jul 2019 12:26:55 +0300
Superseded in eoan-release on 2019-07-09
Published in disco-release on 2019-02-19
Deleted in disco-proposed (Reason: moved to release)
erlang (1:21.2.6+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sergei Golovan <email address hidden>  Mon, 18 Feb 2019 16:09:27 +0300
Superseded in disco-release on 2019-02-19
Deleted in disco-proposed on 2019-02-20 (Reason: moved to release)
erlang (1:21.2.5+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sergei Golovan <email address hidden>  Mon, 04 Feb 2019 17:43:49 +0300
Superseded in disco-release on 2019-02-08
Deleted in disco-proposed on 2019-02-10 (Reason: moved to release)
erlang (1:21.2.4+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sergei Golovan <email address hidden>  Fri, 25 Jan 2019 16:24:41 +0300
Superseded in disco-release on 2019-01-26
Deleted in disco-proposed on 2019-01-28 (Reason: moved to release)
erlang (1:21.2.3+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Bump standards version to 4.2.0.

 -- Sergei Golovan <email address hidden>  Wed, 16 Jan 2019 14:07:16 +0300
Superseded in disco-release on 2019-01-16
Deleted in disco-proposed on 2019-01-18 (Reason: moved to release)
erlang (1:21.2.2+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Reconfigure the epmd.socket unit to listen on all network interfaces.
    Listening on loopback only breaks RabbitMQ and other applications
    which depend on Erlang clustering abilities (closes: #911927).
  * Fix crashes of erlang-depends on empty substvar files (closes: #911789).
  * Add erlang-base:native to the build dependencies for cross-building
    (closes: #898744).

 -- Sergei Golovan <email address hidden>  Sat, 29 Dec 2018 00:41:13 +0300
Superseded in disco-release on 2019-01-03
Deleted in disco-proposed on 2019-01-04 (Reason: moved to release)
erlang (1:21.2+dfsg-1ubuntu2) disco; urgency=medium

  * Apply upstream suggested patch to fix signiness of uid/gid/permission
    file_info values. LP: #1808984

 -- Dimitri John Ledkov <email address hidden>  Thu, 20 Dec 2018 23:56:39 +1100
Superseded in disco-release on 2018-12-20
Deleted in disco-proposed on 2018-12-21 (Reason: moved to release)
erlang (1:21.2+dfsg-1ubuntu1) disco; urgency=medium

  * d/epmd.socket: Enable socket for all interfaces, resolving issues
    with startup of RabbitMQ and other clusters erlang services
    (LP: #1808766).

 -- James Page <email address hidden>  Tue, 18 Dec 2018 09:17:25 +0000
Superseded in disco-release on 2018-12-18
Deleted in disco-proposed on 2018-12-19 (Reason: moved to release)
erlang (1:21.2+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Refresh patches.

 -- Sergei Golovan <email address hidden>  Tue, 11 Dec 2018 17:45:08 +0300

Available diffs

Superseded in disco-release on 2018-12-12
Deleted in disco-proposed on 2018-12-14 (Reason: moved to release)
erlang (1:21.1.4+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Refresh patches.

 -- Sergei Golovan <email address hidden>  Mon, 10 Dec 2018 10:03:50 +0300
Superseded in disco-release on 2018-12-10
Deleted in disco-proposed on 2018-12-11 (Reason: moved to release)
erlang (1:21.1.1+dfsg-2) unstable; urgency=medium

  * Enable the epmd.socket and epmd.service units by default. Make the socket
    listen on the loopback interface only. Expand the section on how to
    configure the socket options in README.Debian (closes: #709754).

 -- Sergei Golovan <email address hidden>  Fri, 19 Oct 2018 15:08:13 +0300
Superseded in disco-release on 2018-11-20
Published in cosmic-release on 2018-10-04
Deleted in cosmic-proposed (Reason: moved to release)
erlang (1:20.3.8.5+dfsg-1build1) cosmic; urgency=high

  * No change rebuild against openssl 1.1.1 with TLS 1.3 support.

 -- Dimitri John Ledkov <email address hidden>  Sat, 29 Sep 2018 01:37:05 +0100
Superseded in cosmic-release on 2018-10-04
Deleted in cosmic-proposed on 2018-10-05 (Reason: moved to release)
erlang (1:20.3.8.5+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Bump standards version to 4.2.0.

 -- Sergei Golovan <email address hidden>  Mon, 13 Aug 2018 17:56:38 +0300
Superseded in cosmic-release on 2018-09-04
Deleted in cosmic-proposed on 2018-09-06 (Reason: moved to release)
erlang (1:20.2.2+dfsg-1ubuntu3) cosmic; urgency=medium

  * No-change rebuild for ncurses soname changes.

 -- Matthias Klose <email address hidden>  Thu, 03 May 2018 14:15:04 +0000
Superseded in cosmic-release on 2018-05-04
Published in bionic-release on 2018-02-08
Deleted in bionic-proposed (Reason: moved to release)
erlang (1:20.2.2+dfsg-1ubuntu2) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <email address hidden>  Mon, 05 Feb 2018 16:49:44 +0000
Superseded in bionic-release on 2018-02-08
Deleted in bionic-proposed on 2018-02-10 (Reason: moved to release)
erlang (1:20.2.2+dfsg-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/rules: Use "-DEPMD6" in CPPFLAGS and ensure this is passed to
      relevant bits of the build process, enabling IPv6 support.
    - Drop erlang-wx from the Recommends: of erlang-examples, so that this
      still stays out of main.
    - d/rules: bump the minimum compat level from 1.7 to 1.8 (openjdk8).

Superseded in bionic-release on 2017-12-26
Deleted in bionic-proposed on 2017-12-28 (Reason: moved to release)
erlang (1:20.2.1+dfsg-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/rules: Use "-DEPMD6" in CPPFLAGS and ensure this is passed to
      relevant bits of the build process, enabling IPv6 support.
    - Drop erlang-wx from the Recommends: of erlang-examples, so that this
      still stays out of main.
    - d/rules: bump the minimum compat level from 1.7 to 1.8 (openjdk8).

Published in trusty-updates on 2018-02-14
Published in trusty-security on 2018-02-14
erlang (1:16.b.3-dfsg-1ubuntu2.2) trusty-security; urgency=medium

  * SECURITY UPDATE: CRLF injection vulnerabilities in the FTP module
    - debian/patches/CVE-2014-1693.patch: check values in
      lib/inets/src/ftp/ftp.erl, /lib/inets/test/ftp_suite_lib.erl.
    - CVE-2014-1693
  * SECURITY UPDATE: padding-oracle attack
    - debian/patches/CVE-2015-2774.patch: re-enable padding check and
      provide option to disable in lib/ssl/doc/src/ssl.xml,
      lib/ssl/src/dtls_record.erl, lib/ssl/src/ssl.erl,
      lib/ssl/src/ssl_cipher.erl, lib/ssl/src/ssl_internal.hrl,
      lib/ssl/src/ssl_record.erl, lib/ssl/src/tls_connection.erl,
      lib/ssl/src/tls_record.erl, lib/ssl/test/ssl_cipher_SUITE.erl.
    - CVE-2015-2774
  * SECURITY UPDATE: Adaptive Chosen Ciphertext attack in TLS server
    - debian/patches/CVE-2017-1000385.patch: add countermeasurements for
      Bleichenbacher attack in lib/ssl/src/ssl_connection.erl,
      lib/ssl/src/ssl_connection.hrl, lib/ssl/src/tls_connection.erl.
    - CVE-2017-1000385

 -- Marc Deslauriers <email address hidden>  Thu, 07 Dec 2017 08:47:37 -0500
Published in xenial-updates on 2018-02-14
Published in xenial-security on 2018-02-14
erlang (1:18.3-dfsg-1ubuntu3.1) xenial-security; urgency=medium

  * SECURITY UPDATE: heap overflow in PCRE
    - debian/patches/CVE-2016-10253.patch: add mutual recursion detection
      to erts/emulator/pcre/pcre_compile.c.
    - CVE-2016-10253
  * SECURITY UPDATE: Adaptive Chosen Ciphertext attack in TLS server
    - debian/patches/CVE-2017-1000385.patch: add countermeasurements for
      Bleichenbacher attack in lib/ssl/src/ssl_connection.erl,
      lib/ssl/src/ssl_connection.hrl, lib/ssl/src/tls_connection.erl.
    - CVE-2017-1000385

 -- Marc Deslauriers <email address hidden>  Thu, 07 Dec 2017 08:07:14 -0500
Published in artful-updates on 2018-02-14
Published in artful-security on 2018-02-14
erlang (1:20.0.4+dfsg-1ubuntu1.1) artful-security; urgency=medium

  * SECURITY UPDATE: Adaptive Chosen Ciphertext attack in TLS server
    - debian/patches/CVE-2017-1000385.patch: add countermeasurements for
      Bleichenbacher attack in lib/ssl/src/dtls_connection.erl,
      lib/ssl/src/ssl_connection.erl, lib/ssl/src/ssl_connection.hrl,
      lib/ssl/src/tls_connection.erl.
    - CVE-2017-1000385

 -- Marc Deslauriers <email address hidden>  Thu, 07 Dec 2017 08:02:45 -0500
Superseded in bionic-release on 2017-12-18
Deleted in bionic-proposed on 2017-12-20 (Reason: moved to release)
erlang (1:20.1.7+dfsg-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/rules: Use "-DEPMD6" in CPPFLAGS and ensure this is passed to
      relevant bits of the build process, enabling IPv6 support.
    - Drop erlang-wx from the Recommends: of erlang-examples, so that this
      still stays out of main.
    - d/rules: bump the minimum compat level from 1.7 to 1.8 (openjdk8).

Superseded in bionic-release on 2017-11-29
Deleted in bionic-proposed on 2017-11-30 (Reason: moved to release)
erlang (1:20.1.6+dfsg-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/rules: Use "-DEPMD6" in CPPFLAGS and ensure this is passed to
      relevant bits of the build process, enabling IPv6 support.
    - Drop erlang-wx from the Recommends: of erlang-examples, so that this
      still stays out of main.
    - d/rules: bump the minimum compat level from 1.7 to 1.8 (openjdk8).

Superseded in bionic-release on 2017-11-22
Deleted in bionic-proposed on 2017-11-23 (Reason: moved to release)
erlang (1:20.1.5+dfsg-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/rules: Use "-DEPMD6" in CPPFLAGS and ensure this is passed to
      relevant bits of the build process, enabling IPv6 support.
    - Drop erlang-wx from the Recommends: of erlang-examples, so that this
      still stays out of main.
    - d/rules: bump the minimum compat level from 1.7 to 1.8 (openjdk8).

Superseded in bionic-release on 2017-11-16
Deleted in bionic-proposed on 2017-11-17 (Reason: moved to release)
erlang (1:20.1.4+dfsg-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/rules: Use "-DEPMD6" in CPPFLAGS and ensure this is passed to
      relevant bits of the build process, enabling IPv6 support.
    - Drop erlang-wx from the Recommends: of erlang-examples, so that this
      still stays out of main.
    - d/rules: bump the minimum compat level from 1.7 to 1.8 (openjdk8).

Superseded in bionic-release on 2017-11-06
Deleted in bionic-proposed on 2017-11-07 (Reason: moved to release)
erlang (1:20.1.3+dfsg-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/rules: Use "-DEPMD6" in CPPFLAGS and ensure this is passed to
      relevant bits of the build process, enabling IPv6 support.
    - Drop erlang-wx from the Recommends: of erlang-examples, so that this
      still stays out of main.
    - d/rules: bump the minimum compat level from 1.7 to 1.8 (openjdk8).

Superseded in bionic-release on 2017-10-30
Deleted in bionic-proposed on 2017-10-31 (Reason: moved to release)
erlang (1:20.1.2+dfsg-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/rules: Use "-DEPMD6" in CPPFLAGS and ensure this is passed to
      relevant bits of the build process, enabling IPv6 support.
    - Drop erlang-wx from the Recommends: of erlang-examples, so that this
      still stays out of main.
    - d/rules: bump the minimum compat level from 1.7 to 1.8 (openjdk8).

Superseded in bionic-release on 2017-10-27
Published in artful-release on 2017-09-01
Deleted in artful-proposed (Reason: moved to release)
erlang (1:20.0.4+dfsg-1ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/rules: Use "-DEPMD6" in CPPFLAGS and ensure this is passed to
      relevant bits of the build process, enabling IPv6 support.
    - Drop erlang-wx from the Recommends: of erlang-examples, so that this
      still stays out of main.
    - d/rules: bump the minimum compat level from 1.7 to 1.8 (openjdk8).

Superseded in artful-release on 2017-09-01
Deleted in artful-proposed on 2017-09-02 (Reason: moved to release)
erlang (1:20.0.1+dfsg-2ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/rules: Use "-DEPMD6" in CPPFLAGS and ensure this is passed to
      relevant bits of the build process, enabling IPv6 support.
    - Drop erlang-wx from the Recommends: of erlang-examples, so that this
      still stays out of main.
    - d/rules: bump the minimum compat level from 1.7 to 1.8 (openjdk8).

 -- Gianfranco Costamagna <email address hidden>  Wed, 12 Jul 2017 10:40:02 +0200
Superseded in artful-release on 2017-07-12
Deleted in artful-proposed on 2017-07-13 (Reason: moved to release)
erlang (1:20.0+dfsg-2ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/rules: Use "-DEPMD6" in CPPFLAGS and ensure this is passed to
      relevant bits of the build process, enabling IPv6 support.
    - Drop erlang-wx from the Recommends: of erlang-examples, so that this
      still stays out of main.
    - d/rules: bump the minimum compat level from 1.7 to 1.8 (openjdk8).

Superseded in artful-release on 2017-07-04
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed on 2018-06-22 (Reason: moved to release)
erlang (1:19.2.1+dfsg-2ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/rules: Use "-DEPMD6" in CPPFLAGS and ensure this is passed to
      relevant bits of the build process, enabling IPv6 support.
    - Drop erlang-wx from the Recommends: of erlang-examples, so that this
      still stays out of main.
    - d/rules: bump the minimum compat level from 1.7 to 1.8 (openjdk8).

Superseded in zesty-release on 2017-04-04
Deleted in zesty-proposed on 2017-04-07 (Reason: moved to release)
erlang (1:19.1.6+dfsg-1ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/rules: Use "-DEPMD6" in CPPFLAGS and ensure this is passed to
      relevant bits of the build process, enabling IPv6 support.
    - Drop erlang-wx from the Recommends: of erlang-examples, so that this
      still stays out of main.
    - d/rules: bump the minimum compat level from 1.7 to 1.8 (openjdk8).

Superseded in zesty-release on 2016-11-13
Deleted in zesty-proposed on 2016-11-15 (Reason: moved to release)
erlang (1:19.1.5+dfsg-1ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/rules: Use "-DEPMD6" in CPPFLAGS and ensure this is passed to
      relevant bits of the build process, enabling IPv6 support.
    - Drop erlang-wx from the Recommends: of erlang-examples, so that this
      still stays out of main.
    - d/rules: bump the minimum compat level from 1.7 to 1.8 (openjdk8).

Superseded in zesty-release on 2016-10-22
Deleted in zesty-proposed on 2016-10-23 (Reason: moved to release)
erlang (1:19.1.4+dfsg-1ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/rules: Use "-DEPMD6" in CPPFLAGS and ensure this is passed to
      relevant bits of the build process, enabling IPv6 support.
    - Drop erlang-wx from the Recommends: of erlang-examples, so that this
      still stays out of main.
    - d/rules: bump the minimum compat level from 1.7 to 1.8 (openjdk8).

Superseded in zesty-release on 2016-10-20
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to release)
erlang (1:18.3.4.4+dfsg-1ubuntu2) yakkety; urgency=medium

  * Drop delta for adding +debug_info; according to the Debian changelog
    this was added elsewhere long ago, so the patch should no longer be
    needed (and is certainly not used in Ubuntu).

 -- Steve Langasek <email address hidden>  Mon, 15 Aug 2016 15:49:31 -0700
Superseded in yakkety-proposed on 2016-08-15
erlang (1:18.3.4.4+dfsg-1ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/rules: Add "+debug_info" to ERL_COMPILE_FLAGS for debug builds.
    - d/rules: Use "-DEPMD6" in CPPFLAGS and ensure this is passed to
      relevant bits of the build process, enabling IPv6 support.
    - Drop erlang-wx from the Recommends: of erlang-examples, so that this
      still stays out of main.
    - d/rules: bump the minimum compat level from 1.7 to 1.8 (openjdk8).

Superseded in yakkety-release on 2016-08-16
Deleted in yakkety-proposed on 2016-08-17 (Reason: moved to release)
erlang (1:18.3.4.2+dfsg-1ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/rules: Add "+debug_info" to ERL_COMPILE_FLAGS for debug builds.
    - d/rules: Use "-DEPMD6" in CPPFLAGS and ensure this is passed to
      relevant bits of the build process, enabling IPv6 support.
    - Drop erlang-wx from the Recommends: of erlang-examples, so that this
      still stays out of main.
    - d/rules: bump the minimum compat level from 1.7 to 1.8 (openjdk8).

Superseded in yakkety-release on 2016-07-27
Deleted in yakkety-proposed on 2016-07-28 (Reason: moved to release)
erlang (1:18.3.4.1+dfsg-1ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/rules: Add "+debug_info" to ERL_COMPILE_FLAGS for debug builds.
    - d/rules: Use "-DEPMD6" in CPPFLAGS and ensure this is passed to
      relevant bits of the build process, enabling IPv6 support.
    - Drop erlang-wx from the Recommends: of erlang-examples, so that this
      still stays out of main.
    - d/rules: bump the minimum compat level from 1.7 to 1.8 (openjdk8).
  * Dropped changes, included in Debian:
    - d/control: Build erlang-base-hipe on ppc64 and ppc64el.

Superseded in yakkety-release on 2016-06-30
Deleted in yakkety-proposed on 2016-07-02 (Reason: moved to release)
erlang (1:18.3.4+dfsg-1ubuntu2) yakkety; urgency=medium

  * Drop d/patches/fix-pointer-conversion.patch, per Debian maintainer it's
    no longer required.

 -- Steve Langasek <email address hidden>  Wed, 22 Jun 2016 19:29:09 -0700
Superseded in yakkety-release on 2016-06-23
Deleted in yakkety-proposed on 2016-06-24 (Reason: moved to release)
erlang (1:18.3.4+dfsg-1ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/patches/fix-pointer-conversion.patch: Remove implicit integer to
      pointer conversion.
    - d/rules: Add "+debug_info" to ERL_COMPILE_FLAGS for debug builds.
    - d/rules: Use "-DEPMD6" in CPPFLAGS and ensure this is passed to
      relevant bits of the build process, enabling IPv6 support.
    - d/control: Build erlang-base-hipe on ppc64 and ppc64el.
    - Drop erlang-wx from the Recommends: of erlang-examples, so that this
      still stays out of main.
  * Dropped changes, no longer needed:
    - d/p/bytecode-compat.patch: Specify a lower level of bytecode
      compatibility when compiling Java source code.
  * debian/rules: bump the minimum compat level from 1.5 to 1.8 (openjdk8),
    which is the lowest version we can expect anyone to care about
    post-xenial.

Superseded in yakkety-release on 2016-06-16
Published in xenial-release on 2016-04-08
Deleted in xenial-proposed (Reason: moved to release)
erlang (1:18.3-dfsg-1ubuntu3) xenial; urgency=medium

  * Drop erlang-wx from the Recommends: of erlang-examples, so that this
    still stays out of main.

 -- Steve Langasek <email address hidden>  Fri, 08 Apr 2016 01:40:49 -0700
Superseded in xenial-release on 2016-04-08
Deleted in xenial-proposed on 2016-04-09 (Reason: moved to release)
erlang (1:18.3-dfsg-1ubuntu2) xenial; urgency=medium

  * Restore erlang-wx now that main is allowed to build-depend on universe.
    LP: #1563182.
  * Restore build dependency on fop.

 -- Steve Langasek <email address hidden>  Fri, 08 Apr 2016 01:30:41 +0000
Superseded in xenial-release on 2016-04-08
Deleted in xenial-proposed on 2016-04-09 (Reason: moved to release)
erlang (1:18.3-dfsg-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/patches/fix-pointer-conversion.patch: Remove implicit integer to
      pointer conversion.
    - d/control: Drop libwxgtk3.0-dev build dependency. Wx isn't in main,
      and not supposed to.
    - d/control: Drop erlang-wx binary and associated dependencies from
      other erlang-* packages.
    - d/rules: Add "+debug_info" to ERL_COMPILE_FLAGS for debug builds.
    - d/p/bytecode-compat.patch: Specify source/target = 1.5 when compiling
      Java source code.
    - d/rules: Use "-DEPMD6" in CPPFLAGS and ensure this is passed to
      relevant bits of the build process, enabling IPv6 support.
    - d/control: Build erlang-base-hipe on ppc64 and ppc64el.
    - d/control: Drop BD on fop to support demotion to universe.

Superseded in xenial-release on 2016-03-22
Deleted in xenial-proposed on 2016-03-24 (Reason: moved to release)
erlang (1:18.2-dfsg-2ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/patches/fix-pointer-conversion.patch: Remove implicit integer to
      pointer conversion.
    - d/control: Drop libwxgtk3.0-dev build dependency. Wx isn't in main,
      and not supposed to.
    - d/control: Drop erlang-wx binary and associated dependencies from
      other erlang-* packages.
    - d/rules: Add "+debug_info" to ERL_COMPILE_FLAGS for debug builds.
    - d/p/bytecode-compat.patch: Specify source/target = 1.5 when compiling
      Java source code.
    - d/rules: Use "-DEPMD6" in CPPFLAGS and ensure this is passed to
      relevant bits of the build process, enabling IPv6 support.
    - d/control: Build erlang-base-hipe on ppc64 and ppc64el.
    - d/control: Drop BD on fop to support demotion to universe.

Superseded in xenial-release on 2016-01-14
Deleted in xenial-proposed on 2016-01-15 (Reason: moved to release)
erlang (1:18.0-dfsg-1ubuntu2) xenial; urgency=medium

  * d/control: Drop BD on fop to support demotion to universe.

 -- James Page <email address hidden>  Mon, 04 Jan 2016 13:56:48 +0000
Superseded in xenial-release on 2016-01-04
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
erlang (1:18.0-dfsg-1ubuntu1) wily; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/patches/fix-pointer-conversion.patch: Remove implicit integer to
      pointer conversion.
    - d/control: Drop libwxgtk3.0-dev build dependency. Wx isn't in main,
      and not supposed to.
    - d/control: Drop erlang-wx binary and associated dependencies from
      other erlang-* packages.
    - d/rules: Add "+debug_info" to ERL_COMPILE_FLAGS for debug builds.
    - d/p/bytecode-compat.patch: Specify source/target = 1.5 when compiling
      Java source code.
    - d/rules: Use "-DEPMD6" in CPPFLAGS and ensure this is passed to
      relevant bits of the build process, enabling IPv6 support.
    - d/control: Build erlang-base-hipe on ppc64 and ppc64el.

Superseded in wily-release on 2015-07-08
Deleted in wily-proposed on 2015-07-09 (Reason: moved to release)
erlang (1:17.5-dfsg-2ubuntu1) wily; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/patches/fix-pointer-conversion.patch: Remove implicit integer to
      pointer conversion.
    - d/control: Drop libwxgtk3.0-dev build dependency. Wx isn't in main,
      and not supposed to.
    - d/control: Drop erlang-wx binary and associated dependencies from
      other erlang-* packages.
    - d/rules: Add "+debug_info" to ERL_COMPILE_FLAGS for debug builds.
    - d/p/bytecode-compat.patch: Specify source/target = 1.5 when compiling
      Java source code.
    - d/rules: Use "-DEPMD6" in CPPFLAGS and ensure this is passed to
      relevant bits of the build process, enabling IPv6 support.
    - d/control: Build erlang-base-hipe on ppc64 and ppc64el.

Superseded in wily-release on 2015-07-07
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-19 (Reason: moved to release)
erlang (1:17.3-dfsg-3ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/patches/fix-pointer-conversion.patch: Remove implicit integer to
      pointer conversion.
    - d/control: Drop libwxgtk3.0-dev build dependency. Wx isn't in main,
      and not supposed to.
    - d/control: Drop erlang-wx binary and associated dependencies from
      other erlang-* packages.
    - d/rules: Add "+debug_info" to ERL_COMPILE_FLAGS for debug builds.
    - d/p/bytecode-compat.patch: Specify source/target = 1.5 when compiling
      Java source code.
    - d/rules: Use "-DEPMD6" in CPPFLAGS and ensure this is passed to
      relevant bits of the build process, enabling IPv6 support.
    - d/control: Build erlang-base-hipe on ppc64 and ppc64el.

Superseded in trusty-updates on 2018-02-14
Deleted in trusty-proposed on 2018-02-15 (Reason: moved to -updates)
erlang (1:16.b.3-dfsg-1ubuntu2.1) trusty; urgency=medium

  * Enable IPv6 support in epmd (LP: #1312507), supporting use in IPv6
    only environments:
    - d/rules: Use "-DEPMD6" in CPPFLAGS and ensure this is passed to
      relevant bits of the build process.
 -- James Page <email address hidden>   Tue, 12 Aug 2014 17:29:24 +0100
Superseded in vivid-release on 2014-12-05
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2016-11-03 (Reason: moved to release)
erlang (1:17.1-dfsg-4ubuntu2) utopic; urgency=medium

  * Enable IPv6 support in epmd (LP: #1312507), supporting use in IPv6
    only environments.
    - d/rules: Use "-DEPMD6" in CPPFLAGS and ensure this is passed to
      relevant bits of the build process.
 -- James Page <email address hidden>   Tue, 12 Aug 2014 14:51:44 +0100
Superseded in utopic-release on 2014-08-12
Deleted in utopic-proposed on 2014-08-13 (Reason: moved to release)
erlang (1:17.1-dfsg-4ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/patches/fix-pointer-conversion.patch: Remove implicit integer to
      pointer conversion.
    - d/control: Drop libwxgtk3.0-dev build dependency. Wx isn't in main,
      and not supposed to.
    - d/control: Drop erlang-wx binary and associated dependencies from
      other erlang-* packages.
    - d/rules: Add "+debug_info" to ERL_COMPILE_FLAGS for debug builds.
    - d/p/bytecode-compat.patch: Specify source/target = 1.5 when compiling
      Java source code.

Superseded in utopic-release on 2014-07-25
Published in trusty-release on 2014-01-10
Deleted in trusty-proposed (Reason: moved to release)
erlang (1:16.b.3-dfsg-1ubuntu2) trusty; urgency=medium

  * Build erlang-base-hipe on ppc64 and ppc64el.
 -- Matthias Klose <email address hidden>   Fri, 10 Jan 2014 13:30:11 +0100
Superseded in trusty-release on 2014-01-10
Deleted in trusty-proposed on 2014-01-11 (Reason: moved to release)
erlang (1:16.b.3-dfsg-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/patches/fix-pointer-conversion.patch: Remove implicit integer to
      pointer conversion.
    - d/control: Drop libwxgtk3.0-dev build dependency. Wx isn't in main,
      and not supposed to.
    - d/control: Drop erlang-wx binary and associated dependencies from
      other erlang-* packages.
    - d/rules: Add "+debug_info" to ERL_COMPILE_FLAGS for debug builds.
    - d/p/bytecode-compat.patch: Specify source/target = 1.5 when compiling
      Java source code.

Superseded in trusty-release on 2014-01-06
Deleted in trusty-proposed on 2014-01-07 (Reason: moved to release)
erlang (1:16.b.2-dfsg-2ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/patches/fix-pointer-conversion.patch: Remove implicit integer to
      pointer conversion.
    - d/control: Drop libwxgtk3.0-dev build dependency. Wx isn't in main,
      and not supposed to.
    - d/control: Drop erlang-wx binary and associated dependencies from
      other erlang-* packages.
    - d/rules: Add "+debug_info" to ERL_COMPILE_FLAGS for debug builds.
    - d/p/bytecode-compat.patch: Specify source/target = 1.5 when compiling
      Java source code.

Superseded in trusty-release on 2013-11-28
Deleted in trusty-proposed on 2013-11-30 (Reason: moved to release)
erlang (1:16.b.2-dfsg-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/patches/fix-pointer-conversion.patch: Remove implicit integer to
      pointer conversion.
    - d/control: Drop libwxgtk2.8-dev build dependency. Wx isn't in main,
      and not supposed to.
    - d/control: Drop erlang-wx binary and associated dependencies from
      other erlang-* packages.
    - d/rules: Add "+debug_info" to ERL_COMPILE_FLAGS for debug builds.
    - d/p/bytecode-compat.patch: Specify source/target = 1.5 when compiling
      Java source code.

Superseded in trusty-release on 2013-11-11
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
erlang (1:16.b.1-dfsg-4ubuntu1) saucy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/patches/fix-pointer-conversion.patch: Remove implicit integer to
      pointer conversion.
    - d/control: Drop libwxgtk2.8-dev build dependency. Wx isn't in main,
      and not supposed to.
    - d/control: Drop erlang-wx binary and associated dependencies from
      other erlang-* packages.
    - d/rules: Add "+debug_info" to ERL_COMPILE_FLAGS for debug builds.
    - d/p/bytecode-compat.patch: Specify source/target = 1.5 when compiling
      Java source code.

Superseded in saucy-release on 2013-07-10
Deleted in saucy-proposed on 2013-07-12 (Reason: moved to release)
erlang (1:16.b-dfsg-3ubuntu1) saucy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/patches/fix-pointer-conversion.patch: Remove implicit integer to
      pointer conversion.
    - d/control: Drop libwxgtk2.8-dev build dependency. Wx isn't in main,
      and not supposed to.
    - d/control: Drop erlang-wx binary and associated dependencies from
      other erlang-* packages.
    - d/rules: Add "+debug_info" to ERL_COMPILE_FLAGS for debug builds.
    - d/p/bytecode-compat.patch: Specify source/target = 1.5 when compiling
      Java source code.

Superseded in saucy-release on 2013-05-13
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed on 2015-04-27 (Reason: moved to release)
erlang (1:15.b.1-dfsg-4ubuntu1) raring; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/patches/fix-pointer-conversion.patch: Remove implicit integer to
      pointer conversion.
    - d/control: Drop libwxgtk2.8-dev build dependency. Wx isn't in main,
      and not supposed to.
    - d/control: Drop erlang-wx binary and associated dependencies from
      other erlang-* packages.
    - d/rules: Add "+debug_info" to ERL_COMPILE_FLAGS for debug builds.
    - d/p/bytecode-compat.patch: Specify source/target = 1.5 when compiling
      Java source code.

Superseded in raring-release on 2013-02-05
Obsolete in quantal-release on 2015-04-24
erlang (1:15.b.1-dfsg-3ubuntu2) quantal; urgency=low

  * Ensure backwards comaptible Java bytecode is built (LP: #1049769):
    - d/p/bytecode-compat.patch: Specify source/target = 1.5 when compiling
      Java source code.
 -- James Page <email address hidden>   Thu, 20 Sep 2012 13:51:11 +0100
Superseded in quantal-release on 2012-09-20
erlang (1:15.b.1-dfsg-3ubuntu1) quantal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/patches/fix-pointer-conversion.patch: Remove implicit integer to
      pointer conversion.
    - d/control: Drop libwxgtk2.8-dev build dependency. Wx isn't in main,
      and not supposed to.
    - d/control: Drop erlang-wx binary and associated dependencies from
      other erlang-* packages.
    - d/rules: Add "+debug_info" to ERL_COMPILE_FLAGS for debug builds.

Superseded in quantal-release on 2012-07-02
erlang (1:15.b.1-dfsg-2ubuntu1) quantal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/patches/fix-pointer-conversion.patch: Remove implicit integer to
      pointer conversion.
    - d/control: Drop libwxgtk2.8-dev build dependency. Wx isn't in main,
      and not supposed to.
    - d/control: Drop erlang-wx binary and associated dependencies from
      other erlang-* packages.
    - d/rules: Add "+debug_info" to ERL_COMPILE_FLAGS for debug builds.
  * Tidied obsolete patches from d/patches.
 -- James Page <email address hidden>   Fri, 01 Jun 2012 10:07:21 +0100
Superseded in quantal-release on 2012-06-01
Published in precise-release on 2011-12-16
erlang (1:14.b.4-dfsg-1ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - debian/patches/fix-pointer-conversion.patch: Remove implicit
      integer to pointer conversion (patch refreshed)
    - Drop libwxgtk2.8-dev build dependency. Wx isn't in main, and not
      supposed to.
    - Drop erlang-wx binary.
    - Drop erlang-wx dependency from -megaco, -common-test, and -reltool, they
      do not really need wx. Also drop it from -debugger; the GUI needs wx,
      but it apparently has CLI bits as well, and is also needed by -megaco,
      so let's keep the package for now.
  * Dropped changes:
    debian/patches/tcp.patch: applied upstream

Superseded in precise-release on 2011-12-16
Obsolete in oneiric-release on 2015-04-24
erlang (1:14.b.2-dfsg-3ubuntu2) oneiric; urgency=low

  * debian/patches/fix-pointer-conversion.patch: Remove implicit
    integer to pointer conversion (LP: #778474)
 -- Clint Byrum <email address hidden>   Fri, 06 May 2011 06:10:07 -0700
Superseded in oneiric-release on 2011-05-06
erlang (1:14.b.2-dfsg-3ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Drop libwxgtk2.8-dev build dependency. Wx isn't in main, and not
      supposed to.
    - Drop erlang-wx binary.
    - Drop erlang-wx dependency from -megaco, -common-test, and -reltool, they
      do not really need wx. Also drop it from -debugger; the GUI needs wx,
      but it apparently has CLI bits as well, and is also needed by -megaco,
      so let's keep the package for now.
    - debian/patches/series: Do what I meant, and enable build-options.patch
      instead.
  * Additional changes:
    - Drop erlang-wx from -et
  * Dropped Changes:
    - patches/pcre-crash.patch: CVE-2008-2371: outer level option with
      alternatives caused crash. (Applied Upstream)
    - fix for ssl certificate verification in newSSL:
      ssl_cacertfile_fix.patch (Applied Upstream)
    - debian/patches/series: Enable native.patch again, to get stripped beam
      files and reduce the package size again. (build-options is what
      actually accomplished this)
    - Remove build-options.patch on advice from upstream and because it caused
      odd build failures.
 -- Clint Byrum <email address hidden>   Thu, 05 May 2011 15:48:43 -0700
Obsolete in lucid-updates on 2016-10-26
Deleted in lucid-proposed on 2016-11-01 (Reason: moved to -updates)
erlang (1:13.b.3-dfsg-2ubuntu2.1) lucid-proposed; urgency=low

  [ Samuele Pedroni ]
  * fix for ssl certificate verification in newSSL: ssl_cacertfile_fix.patch
    (LP: #643787)
 -- Elliot Murphy <email address hidden>   Thu, 30 Sep 2010 14:48:32 -0400
Superseded in oneiric-release on 2011-05-05
Obsolete in natty-release on 2013-06-04
Obsolete in maverick-release on 2013-03-05
erlang (1:13.b.3-dfsg-2ubuntu3) maverick; urgency=low

  * fix for ssl certificate verification in newSSL: ssl_cacertfile_fix.patch
    (LP: #643787)
 -- <email address hidden> (Samuele Pedroni (Canonical Services Ltd.))   Fri, 24 Sep 2010 09:35:12 +0200
Superseded in maverick-release on 2010-09-24
Obsolete in lucid-release on 2016-10-26
erlang (1:13.b.3-dfsg-2ubuntu2) lucid; urgency=low

  * CVE-2008-2371: outer level option with alternatives caused crash.
    (LP: #535090).
 -- Ralf Doering <email address hidden>   Thu, 11 Mar 2010 15:20:06 +0100
Obsolete in karmic-updates on 2013-03-04
Obsolete in karmic-security on 2013-03-04
erlang (1:13.b.1-dfsg-2ubuntu1.1) karmic-security; urgency=low

  * SECURITY UPDATE: denial of service via Heap-based buffer overflow in
    pcre_compile.c in the Perl-Compatible Regular Expression (PCRE)
    library (LP: #535090)
    - CVE-2008-2371
    - debian/patches/pcre-crash.patch is cherrypicked from upstream commit
      http://github.com/erlang/otp/commit/bb6370a2. The hunk for the
      testsuite does not apply cleanly and is not needed for the fix so was
      stripped. This fix is part of the current upstream OTP release R13B04.
 -- Ralf Doering <email address hidden>   Fri, 12 Mar 2010 09:40:49 +0100
Obsolete in jaunty-updates on 2013-02-28
Obsolete in jaunty-security on 2013-02-28
erlang (1:12.b.5-dfsg-2ubuntu0.1) jaunty-security; urgency=low

  * SECURITY UPDATE: denial of service via Heap-based buffer overflow in
    pcre_compile.c in the Perl-Compatible Regular Expression (PCRE)
    library (LP: #535090)
    - CVE-2008-2371
    - debian/patches/pcre-crash.patch is cherrypicked from upstream commit
      http://github.com/erlang/otp/commit/bb6370a2. The hunk for the
      testsuite does not apply cleanly and is not needed for the fix so was
      stripped. This fix is part of the current upstream OTP release R13B04.
 -- Ralf Doering <email address hidden>   Fri, 12 Mar 2010 16:06:36 +0100
Obsolete in intrepid-updates on 2013-02-20
Obsolete in intrepid-security on 2013-02-20
erlang (1:12.b.3-dfsg-1ubuntu1.1) intrepid-security; urgency=low

  * SECURITY UPDATE: denial of service via Heap-based buffer overflow in
    pcre_compile.c in the Perl-Compatible Regular Expression (PCRE)
    library (LP: #535090)
    - CVE-2008-2371
    - debian/patches/pcre-crash.patch is cherrypicked from upstream commit
      http://github.com/erlang/otp/commit/bb6370a2. The hunk for the
      testsuite does not apply cleanly and is not needed for the fix so was
      stripped. This fix is part of the current upstream OTP release R13B04.
 -- Ralf Doering <email address hidden>   Fri, 12 Mar 2010 15:57:04 +0100
Superseded in lucid-release on 2010-04-09
erlang (1:13.b.3-dfsg-2ubuntu1) lucid; urgency=low

  * Merge with Debian testing; remaining Ubuntu changes:
    - Drop libwxgtk2.8-dev build dependency. Wx isn't in main, and not
      supposed to. (LP #438365)
    - Drop erlang-wx binary.
    - Drop erlang-wx dependency from -megaco, -common-test, and -reltool, they
      do not really need wx. Also drop it from -debugger; the GUI needs wx,
      but it apparently has CLI bits as well, and is also needed by -megaco,
      so let's keep the package for now.

Superseded in lucid-release on 2009-12-22
erlang (1:13.b.2.1-dfsg-1ubuntu3) lucid; urgency=low

  * build-options.patch: Fix to apply to current version.
  * debian/patches/series: Do what I meant, and enable build-options.patch
    instead.
 -- Martin Pitt <email address hidden>   Mon, 07 Dec 2009 10:28:47 +0100
Superseded in lucid-release on 2009-12-07
erlang (1:13.b.2.1-dfsg-1ubuntu2) lucid; urgency=low

  * debian/patches/series: Enable native.patch again, to get stripped beam
    files and reduce the package size again. (LP: #493278)
 -- Martin Pitt <email address hidden>   Mon, 07 Dec 2009 09:02:37 +0100
Superseded in lucid-release on 2009-12-07
erlang (1:13.b.2.1-dfsg-1ubuntu1) lucid; urgency=low

  * Merge with Debian testing; remaining Ubuntu changes:
    - Drop libwxgtk2.8-dev build dependency. Wx isn't in main, and not
      supposed to. (LP #438365)
    - Drop erlang-wx binary.
    - Drop erlang-wx dependency from -megaco, -common-test, and -reltool, they
      do not really need wx. Also drop it from -debugger; the GUI needs wx,
      but it apparently has CLI bits as well, and is also needed by -megaco,
      so let's keep the package for now.

Superseded in lucid-release on 2009-11-06
Obsolete in karmic-release on 2013-03-04
erlang (1:13.b.1-dfsg-2ubuntu1) karmic; urgency=low

  * debian/control:
    - Drop libwxgtk2.8-dev build dependency. Wx isn't in main, and not
      supposed to. (LP: #438365)
    - Drop erlang-wx binary.
    - Drop erlang-wx dependency from -megaco, -common-test, and -reltool, they
      do not really need wx. Also drop it from -debugger; the GUI needs wx,
      but it apparently has CLI bits as well, and is also needed by -megaco,
      so let's keep the package for now.

 -- Martin Pitt <email address hidden>   Fri, 16 Oct 2009 09:40:16 +0200
175 of 107 results